---
- name: Create needed k8s volumes
  hosts: localhost

  tasks:
    - name: Create mergefs pv
      kubernetes.core.k8s:
        state: present
        definition:
          apiVersion: v1
          kind: PersistentVolume
          metadata:
            name: "{{ ns }}-mergefs"
          spec:
            accessModes:
              - ReadWriteMany
            capacity:
              storage: 10Gi
            hostPath:
              path: /data/merge/mergefs

    - name: Create xdc mergefs pv
      kubernetes.core.k8s:
        state: present
        definition:
          apiVersion: v1
          kind: PersistentVolume
          metadata:
            name: "{{ ns }}-mergefs-xdc"
          spec:
            accessModes:
              - ReadWriteMany
            capacity:
              storage: 10Gi
            hostPath:
              path: /data/merge/mergefs
